Debian Bug report logs - #566744
Fails if apt-cross is not installed

version graph

Package: libdebian-dpkgcross-perl; Maintainer for libdebian-dpkgcross-perl is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for libdebian-dpkgcross-perl is src:dpkg-cross.

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Sun, 24 Jan 2010 22:39:01 UTC

Severity: normal

Tags: patch

Found in version dpkg-cross/2.5.5

Fixed in version dpkg-cross/2.5.6

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#566744; Package libdebian-dpkgcross-perl. (Sun, 24 Jan 2010 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Sun, 24 Jan 2010 22:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails if apt-cross is not installed
Date: Sun, 24 Jan 2010 23:36:10 +0100
[Message part 1 (text/plain, inline)]
Package: libdebian-dpkgcross-perl
Version: 2.5.5
Severity: normal
Tags: patch

Hi,

if apt-cross is not installed then it fails to parse the non-existant
config. Patch attached.

MfG
	Goswin

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (499, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29.4-frosties-2 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdebian-dpkgcross-perl depends on:
ii  dpkg-dev                      1.15.5.6   Debian package development tools
ii  file                          5.03-5     Determines file type using "magic"
ii  libconfig-auto-perl           0.20-2     Magical config file parser
ii  libfile-homedir-perl          0.86-1     Get the home directory for yoursel
ii  libfile-temp-perl             0.22-1     Perl module to create a temporary 
ii  perl                          5.10.1-9   Larry Wall's Practical Extraction 
ii  perl-modules [libfile-temp-pe 5.10.1-9   Core Perl modules

libdebian-dpkgcross-perl recommends no packages.

libdebian-dpkgcross-perl suggests no packages.

-- no debconf information
[dpkg-cross.patch (text/plain, attachment)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 09 Feb 2010 23:00:07 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 27 Feb 2010 21:39:20 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Sat, 27 Feb 2010 21:39:20 GMT) Full text and rfc822 format available.

Message #12 received at 566744-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 566744-close@bugs.debian.org
Subject: Bug#566744: fixed in dpkg-cross 2.5.6
Date: Sat, 27 Feb 2010 21:37:47 +0000
Source: dpkg-cross
Source-Version: 2.5.6

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.5.6.dsc
  to main/d/dpkg-cross/dpkg-cross_2.5.6.dsc
dpkg-cross_2.5.6.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.5.6.tar.gz
dpkg-cross_2.5.6_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.5.6_all.deb
libdebian-dpkgcross-perl_2.5.6_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.5.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Feb 2010 20:55:35 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.5.6
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 545464 566744
Changes: 
 dpkg-cross (2.5.6) unstable; urgency=low
 .
   * Implement transitionary support for Multi-Arch (Closes: #545464)
   * Allow for apt-cross to not be installed when checking list of
     multiarch packages (Closes: #566744)
Checksums-Sha1: 
 1db653b47725c8fe0662bc56c711d76a5238d042 1209 dpkg-cross_2.5.6.dsc
 0612428e0c2c61c887f8e38030e6f87ccf52dd5e 72328 dpkg-cross_2.5.6.tar.gz
 45327b833107c6ac5561777a89d899d13427705a 52656 dpkg-cross_2.5.6_all.deb
 741e8692be635ab111c5d113ffbe255bac759e61 28844 libdebian-dpkgcross-perl_2.5.6_all.deb
Checksums-Sha256: 
 25219636161a95da629311793b3a2b523e548c01e49d298cd85bc66dee94f9e1 1209 dpkg-cross_2.5.6.dsc
 a29a2638d22b6357da2e5eb542436dc7a03acb0ebb4a80c71ef5a81d076dc489 72328 dpkg-cross_2.5.6.tar.gz
 6fca1145792f8abb7027c2f12c2d924ade7aea8a2a9451a1b009f7b5d380725d 52656 dpkg-cross_2.5.6_all.deb
 0888a55f6255cff34c075efada6fa318262791b54852ee3c5512d2b1336c2750 28844 libdebian-dpkgcross-perl_2.5.6_all.deb
Files: 
 5eccbb08bfa40939b9683ec0a1132118 1209 utils extra dpkg-cross_2.5.6.dsc
 31f756a3e3c846a7c7a1ce7a77c450a6 72328 utils extra dpkg-cross_2.5.6.tar.gz
 5a36d5bef5f631fbe578a0e8f19f8d22 52656 utils extra dpkg-cross_2.5.6_all.deb
 10c5e64fa2fc73679384841dae57500e 28844 perl extra libdebian-dpkgcross-perl_2.5.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuJd0UACgkQiAEJSii8s+PeawCgqKpf2ARqzzcTcJzohq6PG6hr
OhoAoOYxBfVbVOLJiw0yr2I2Sxr1EKi5
=IM2c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Apr 2010 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:59:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.